# Gizmodal-Ops

Gizmodal Ops takes the Gizmo workflow from other 3D software (tap a key to show the transform, rotation or scale gizmo) and blends this seamlessly with Blender's Modal workflow (for precise transforms, rotations and scaling).

Gizmodal Ops "listens" to your keystrokes and changes the workflow depending on your input. For example, a single key press keeps the Gizmo visible, but multiple key presses changes your scene to a Modal workflow. (Click the [video link](https://www.youtube.com/watch?v=fbHcUv9B2BI) for a better explanation on how this works).

This harmonised workflow is perfect for people coming from other 3D programs without sacrificing the benefits of Blender's modal operations. Ideal for first-time users and Blender veterans alike.

Using Gizmodal Ops is a much more intuitive way of working which you will need to experience to understand and appreciate fully.

**For Blender 2.83 and above.**

Features:
- Intuitively switches between workflows.
- 100% free

## How to install this addon:

- In Blender, go to Edit->Preferences->Addons
- Click "Install"
- Select "Gizmodal-Ops.zip" from your downloads folder
- Click "Install Addon"
- Enable the addon (Tick the checkbox on the left)

## How to use Gizmodal Ops:

When using Blender, the shortcuts G / R / S enable the corresponding Gizmos. Press X / Y / Z to activate the Modal Operator:

![Press G then Press X - Gizmo Ops vs. Modal Ops](https://github.com/BlenderDefender/Gizmodal-Ops/raw/main/docs/gizmodal_explanation_01.png)

Pressing G / R / S and moving the mouse enables the modal operator as well:

![Hold G + move mouse - Gizmo Ops vs. Modal Ops](https://github.com/BlenderDefender/Gizmodal-Ops/raw/main/docs/gizmodal_explanation_02.png)

## How change Gizmodal Ops settings:

- Go to Sidebar (N-Panel) -> View -> Gizmodal Ops
- Change the settings to your preferred values
- Make sure your preferences are saved. If "Auto-save preferences" is disabled, go to Edit->Preferences->Save Preferences

![Go to Sidebar > View > Gizmodal Ops to change the options.](https://github.com/BlenderDefender/Gizmodal-Ops/raw/main/docs/gizmodal_explanation_03.png)
